import type { IGetTheme } from './IGetTheme';
import type { TDataTableColumnType } from '../types/TDataTableColumnType';

export interface IDataTableRow {
	id: number;

	[k: string]: any;
}

export interface IDataTableColumn {
	key: string;
	label?: string;
	sortable?: boolean;
	columnProps?: Partial<ITableColumn>;
	type?: TDataTableColumnType;

	[k: string]: any;
}

export interface ITableColumn extends IGetTheme {
	style: string;
}

export type IDataTableOnRow = (row: IDataTableRow, column: IDataTableColumn) => any;
