import { browser } from '$app/environment';
import { ETheme } from '../enum/eTheme';
import type { TTheme } from '../types/TTheme';
import { writableStorage } from '../hooks/writableStorage';

const theme = writableStorage<TTheme>('theme', ETheme.LIGHT);

theme.subscribe(pr => {
	if (!browser) return;
	const element = document.getElementsByTagName('html')?.item(0)?.classList;
	element?.remove(ETheme.LIGHT, ETheme.DARK);
	element?.add(pr);
});

export const useTheme = () => {
	return [
		theme,
		{
			change: (themeValue: TTheme) => {
				theme.set(themeValue);
			},
			toggle: () => {
				theme.update(e => e == ETheme.DARK ? ETheme.LIGHT : ETheme.DARK);
			}
		}
	];
};
